Skip to content
GET /unified/payment-gateway/payments/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

Unique identifier for the payment

3 supported
Checkout
supported
Razorpay
supported
Stripe
supported
amountstring

Amount of the payment

3 supported
Checkout
supported
Razorpay
supported
Stripe
supported
created_atstring · date-time

Date and time when the payment was created

3 supported
Checkout
supported
Razorpay
supported
Stripe
supported
currencystring

Currency of the payment

3 supported
Checkout
supported
Razorpay
supported
Stripe
supported
customerobject
References: Customers → id
3 supported
Checkout
supported
Razorpay
supported
Stripe
supported
emailstring

Email of the customer

idstring

Unique identifier for the customer

namestring

Name of the customer

phonestring

Phone number of the customer

descriptionstring

Description of the payment

3 supported
Checkout
supported
Razorpay
supported
Stripe
supported
expires_onstring · date-time

Date and time when the payment expires

1 supported
Checkout
supported
metadataobject
3 supported
Checkout
supported
Razorpay
supported
Stripe
supported
order_idstring

Unique identifier for the order related to this payment.

References: Orders → id
2 supported
Razorpay
supported
Stripe
supported
payment_methodobject
3 supported
Checkout
supported
Razorpay
supported
Stripe
supported
idstring

Unique identifier for the payment method

methodstring

Method of payment

reference_idstring

Reference ID of the payment. This can be used to lookup payments in the system.

refund_amountstring

Refund amount of the payment

2 supported
Razorpay
supported
Stripe
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

Status of the payment. In case there is no clear mapping, the raw status is passed.

Possible values:
pendingauthorizedpaidpartialrefundedvoidedcancelledunknown
3 supported
Checkout
supported
Razorpay
supported
Stripe
supported
transaction_feestring

Transaction fee on a payment

2 supported
Razorpay
supported
Stripe
supported
curl -X GET 'https://api.truto.one/unified/payment-gateway/payments/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/payment-gateway/payments/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/payment-gateway/payments/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'payment-gateway',
  'payments',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "payment-gateway",
        "payments",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())